# Class GammaIntegerEncoding

java.lang.Object
htsjdk.samtools.cram.encoding.CRAMEncoding<Integer>
htsjdk.samtools.cram.encoding.core.GammaIntegerEncoding

public final class GammaIntegerEncoding extends CRAMEncoding<Integer>

## Method Summary

Modifier and Type
Method
Description
`CRAMCodec<Integer>`
`buildCodec(SliceBlocksReadStreams sliceBlocksReadStreams, SliceBlocksWriteStreams sliceBlocksWriteStreams)`
Instantiate the codec represented by this encoding by supplying it with the appropriate streams
`static GammaIntegerEncoding`
`fromSerializedEncodingParams(byte[] serializedParams)`
Create a new instance of this encoding using the (ITF8 encoded) serializedParams.
`byte[]`
`toSerializedEncodingParams()`
Serialize encoding parameters to an ITF8-encoded byte array.
`String`
`toString()`

### Methods inherited from class CRAMEncoding

`buildReadCodec, buildWriteCodec, id, toEncodingDescriptor`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### fromSerializedEncodingParams

public static GammaIntegerEncoding fromSerializedEncodingParams(byte[] serializedParams)
Create a new instance of this encoding using the (ITF8 encoded) serializedParams.

Parameters:
  `serializedParams` -
Returns:
  GammaIntegerEncoding with parameters populated from serializedParams

### toSerializedEncodingParams

public byte[] toSerializedEncodingParams()
Description copied from class: `CRAMEncoding`
Serialize encoding parameters to an ITF8-encoded byte array. By convention, each subclass should have a corresponding and symmetric "fromSerializedEncodingParams" that returns a new instance of that encoding populated with values from the serialized encoding params.

Specified by:
  `toSerializedEncodingParams` in class `CRAMEncoding<Integer>`
Returns:
  a byte array containing the encoding's parameter values encoded as an ITF8 stream.

### buildCodec

public CRAMCodec<Integer> buildCodec(SliceBlocksReadStreams sliceBlocksReadStreams, SliceBlocksWriteStreams sliceBlocksWriteStreams)
Description copied from class: `CRAMEncoding`
Instantiate the codec represented by this encoding by supplying it with the appropriate streams

Specified by:
  `buildCodec` in class `CRAMEncoding<Integer>`
Parameters:
  `sliceBlocksReadStreams` - the core block bit stream a `CoreCodec` will read from
  `sliceBlocksWriteStreams` - the core block bit stream a `CoreCodec` will write to
Returns:
  a newly instantiated codec

### toString

public String toString()

Overrides:
  `toString` in class `Object`